Bug 26432 - Remove unused ModZebrations
Summary: Remove unused ModZebrations
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-11 08:55 UTC by Marcel de Rooy
Modified: 2020-10-20 17:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26432: Remove unused ModZebrations (726 bytes, patch)
2020-09-11 08:56 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 26432: Remove unused ModZebrations (746 bytes, patch)
2020-09-11 09:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 26432: Remove unused ModZebrations (804 bytes, patch)
2020-09-12 18:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-09-11 08:55:20 UTC
Speak up if you use it ?
Comment 1 Marcel de Rooy 2020-09-11 08:56:36 UTC
Created attachment 109892 [details] [review]
Bug 26432: Remove unused ModZebrations

Test plan:
Git grep on ModZebrations

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Julian Maurice 2020-09-11 09:33:18 UTC
Last usage of this subroutine was removed in 2007 (https://gitlab.com/koha-community/Koha/-/commit/6b201757c1c14d351baa9b17832543ca46fd05fb)

I think it is safe to remove it :)
Comment 3 Julian Maurice 2020-09-11 09:33:41 UTC
Created attachment 109893 [details] [review]
Bug 26432: Remove unused ModZebrations

Test plan:
Git grep on ModZebrations

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Katrin Fischer 2020-09-12 18:06:39 UTC
Created attachment 109988 [details] [review]
Bug 26432: Remove unused ModZebrations

Test plan:
Git grep on ModZebrations

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-10-01 09:45:46 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 17:33:24 UTC
enhancement will not be backported to 20.05.x